

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Glossary &mdash; FnacMarketplace API 2.1.0 documentation</title>
    
    <link rel="stylesheet" href="_static/haiku.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="_static/print.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '',
        VERSION:     '2.1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/theme_extras.js"></script>
    <link rel="top" title="FnacMarketplace API 2.1.0 documentation" href="index.html" />
    <link rel="prev" title="FAQ" href="faq.html" /> 
  </head>
  <body>
      <div class="header"><img class="rightlogo" src="_static/fnac.gif" alt="Logo"/><h1 class="heading"><a href="index.html">
          <span>FnacMarketplace API 2.1.0 documentation</span></a></h1>
        <h2 class="heading"><span>Glossary</span></h2>
      </div>
      <div class="topnav">
      
        <p>
        «&#160;&#160;<a href="faq.html">FAQ</a>
        &#160;&#160;::&#160;&#160;
        <a class="uplink" href="index.html">Contents</a>
        </p>

      </div>
      <div class="content">
        
        
  <div class="section" id="glossary">
<h1>Glossary<a class="headerlink" href="#glossary" title="Permalink to this headline">¶</a></h1>
<dl class="glossary docutils">
<dt id="term-environment">Environment</dt>
<dd>An <em>Environment</em> is a string (e.g. <tt class="docutils literal"><span class="pre">prod</span></tt> or <tt class="docutils literal"><span class="pre">staging</span></tt>) that corresponds
to a specific set of configuration. The same application can be run
on the same machine using different configuration by running the application
in different environments. This is useful as it allows a single application
to have a <tt class="docutils literal"><span class="pre">dev</span></tt> environment built for debugging and a <tt class="docutils literal"><span class="pre">prod</span></tt> environment
that&#8217;s optimized for speed.</dd>
<dt id="term-http-specification">HTTP Specification</dt>
<dd>The <em>Http Specification</em> is a document that describes the Hypertext
Transfer Protocol - a set of rules laying out the classic client-server
request-response communication. The specification defines the format
used for a request and response as well as the possible HTTP headers
that each may have. For more information, read the <a class="reference external" href="http://en.wikipedia.org/wiki/Hypertext_Transfer_Protocol">Http Wikipedia</a>
article or the <cite>HTTP 1.1 RFC</cite>.</dd>
<dt id="term-partner">Partner</dt>
<dd>A <em>Partner</em> is the client of the webservice. It is a partner of fnac.com.</dd>
<dt id="term-server">Server</dt>
<dd>The <em>Server</em> hosts the webservice. It is the fnac.com marketplace.</dd>
<dt id="term-service">Service</dt>
<dd>A <em>Service</em> is a generic term for any Api request  that performs a
specific task.</dd>
<dt id="term-shop">Shop</dt>
<dd>A shop is the reference to the offers displayed on fnac.com marketplace. Note : a partner can handle one or several shops.</dd>
</dl>
</div>


      </div>
      <div class="bottomnav">
      
        <p>
        «&#160;&#160;<a href="faq.html">FAQ</a>
        &#160;&#160;::&#160;&#160;
        <a class="uplink" href="index.html">Contents</a>
        </p>

      </div>

    <div class="footer">
        &copy; Copyright 2010-2013, FnacMarketplace.
    </div>
  </body>
</html>